.categories-grid {
  padding-left: 0;
  padding-right: 0;

  @include media("sm") {
    padding-left: 5%;
    padding-right: 5%;
  }

  > .swiper {
    padding-left: 5%;
    padding-right: 5%;

    @include media("sm") {
      padding-left: 0;
      padding-right: 0;
    }
  }

  > .swiper .swiper-slide:not(.swiper-slide-active) {
    transition: opacity 0.3s ease;
    opacity: 0.4;

    @include media("sm") {
      opacity: 1;
    }
  }

  > .swiper .category-item {
    position: relative;
    width: 100%;
    display: block;
  }

  > .swiper .image.-custom::after {
    padding-bottom: 75%;
  }

  > .swiper img {
    transition: var(--transition);
  }

  > .swiper .category-item:hover img {
    @include media("md") {
      filter: brightness(0.8);
      transform: scale(1.1);
    }
  }

  > .swiper .text {
    padding: 1.2rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    color: var(--white);
    background-color: rgba(0, 0, 0, 0.3);

    @include media("md") {
      padding: 1.6rem 3rem;
    }
  }

  > .swiper .text > *:not(:last-child) {
    margin-bottom: 1.6rem;
  }

  > .swiper .upper-title:not(:last-child) {
    margin-bottom: 0.8rem;
  }

  > .swiper .title {
    color: inherit;
    font-size: 2rem;

    @include media("md") {
      font-size: var(--font-size-title);
    }
  }

  > .swiper .description {
    font-size: var(--font-size-small);
    margin-bottom: 0;

    @include media("md") {
      font-size: var(--font-size-base);
    }
  }

  > .swiper .button-default {
    width: fit-content;
  }

  > .swiper .category-item:not(.-imageless) .button-default:not(:hover) {
    color: var(--white);
    border-color: var(--white);
  }

  > .swiper .category-item.-imageless::before {
    content: "";
    position: relative;
    display: block;
    width: 100%;
    padding-bottom: 75%;
  }

  > .swiper .category-item.-imageless .text {
    color: var(--font-color-base);
    background-color: var(--gray-1);
  }

  > .swiper-pagination {
    position: static !important;
    margin: 3.2rem auto 0;
    width: 90% !important;

    @include media("sm") {
      width: 100% !important;
    }
  }

  @import "../../../../node_modules/swiper/modules/grid.scss";
}
